:root {
  --blue: #168AFF;
  --background: #F8F8F8;
  --white-text: #ece5e5;
  --blue-ghost-100: #ffffff33;
  --blue-ghost-200: #C3E1FF67;
  --blue-ghost-250: #97c0e9a6;
  --blue-ghost-300: #6eb4faa6;
  --article-text: #141414;
  --blue-text: #168AFF;
  --blue-border: #0d3f70;
}

[data-theme='dark'] {
  --blue: #051525;
  --background: #202020;
  --white-text: #ece5e5;
  --blue-ghost-100: #ffffff33;
  --blue-ghost-200: #444d5567;
  --blue-ghost-250:rgba(105, 105, 105, 0.644);
  --blue-ghost-300:rgba(85, 85, 85, 0.644);
  --article-text: #ece5e5;
  --blue-text: #ece5e5;
  --blue-border: #0d3f70;
}

[data-scroll='no-scroll'] {
  overflow: hidden;
}

/* html {
  scroll-behavior: smooth;
  scroll-padding-top: 100px;
} nienawidze tych wymagan. "Menu powinno PRZEWIJAĆ (scrollBy) do odpowiednich sekcji strony" broo ktory to jest rok*/

body {
  background-color: var(--background);
}

html, body {
  transition: background-color 0.5s;
}

@media only screen and (max-width: 370px) {
    #scrollimg {
        width: 100%;
        max-width: calc(100% - 84px) !important;
        height: 100%;
        aspect-ratio: 16 / 9;
        margin: 0;
        object-fit: cover;
        border-radius: 12px;
        margin: 0 5px;
    }
}

@media only screen and (min-width: 1111px) {
  #divine {
    width: 75%;
  }
}

@media only screen and (max-width: 1111px) {
    .nav-link {
        display: none !important;
    }
    .mobile-nav-link {
        display: block !important;
        padding: 2px 10px;
        color: var(--white-text);
        text-decoration: none;
        transition: all 0.2s;
    }

    .mobile-nav-link:hover {
        cursor: pointer;
        background-color: #ffffff33;
        border-radius: 5px;
    }

    h1, h2 {
        width: 90%;
        max-width: 760px;
    }
    .article {
        padding: 0 2px 0 7px !important;
        width: 70%;
        max-width: 925px;
    }
    .kierunek-preview {
        max-width: 150px !important;
        width: 100%;
        height: 290px !important;
        border: 2px var(--blue) solid;
        border-radius: 12px;
        padding: 10px;
        background-color: var(--blue-ghost-200);
        transition: all 0.2s;
    }

    .kierunek-preview > img {
        max-width: 150px !important;
        width: 100%;
        height: 150px !important;
        border-radius: 12px;
        object-fit: cover;
    }

    .kierunek-preview > h4,
    .kierunek-preview > p {
        margin: 10px 0;
    }

    .kierunek-preview > p {
        font-size: 9px !important;
    }
    .kierunki-preview {
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        align-items: stretch;
        flex-wrap: wrap;
        gap: 10px;
    }
    form {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
        align-items: center;
        width: 100%;
    }
    .vertical {
        display: flex;
        flex-direction: column;
        width: 230% !important;
        max-width: 900px !important;
    }
    #activities {
        flex: 1;
        padding: 0 0 0 5px !important;
    }
    .larger {
        font-size: 28px !important;
    }
    a {
        color: var(--article-text);
        font-size: 18px !important;
    }
    #scrollimg {
    width: 100%;
     max-width: calc(100% - 84px) !important;
    height: 100%;
    aspect-ratio: 4/3 !important;
    margin: 0;
    object-fit: cover;
    border-radius: 12px;
    margin: 0 5px;
    
}
    #nav2 {
    display: flex;
    gap: 5px !important;
    flex-direction: row-reverse;
    flex-grow: 1;
    align-items: center;
    }

    #mobile-nav {
        display: none; /* flex */
        position: fixed;
        top:90px; /* 90 px */
        left: 0; /* 0 */
        width: 125vw;
        background-color: var(--blue) !important;
        height: 100vh; /* 100% wysokości widocznego ekranu */
        z-index: 999;
        flex-direction: column;
        justify-content: center;
        gap: 10px;
        transform: translateX(100%);
        transition: all 0.5s;
    }

    .mobile-link {
        color: var(--white-text);
        font-size: 48px !important;
        padding: 0 0 0 10px;
        text-decoration: none;
        transition: all 0.5s;
    }

    #galeria::before {
        background-position: 0 0 !important;
    }

    #about, #divine {
        gap: 10px !important;
    }

    #registration {
        flex-direction: column !important;
        gap: 25px !important;
    }

}

@media only screen and (max-width: 450px) {
    .kierunek-preview {
        max-width: 130px !important;
        width: 100%;
        height: 260px !important;
        border: 2px var(--blue) solid;
        border-radius: 12px;
        padding: 10px;
        background-color: var(--blue-ghost-200);
        transition: all 0.2s;
    }
    .kierunek-preview > img {
        max-width: 130px !important;
        width: 100%;
        height: 130px !important;
        border-radius: 12px;
        object-fit: cover;
    }

    .kierunek-preview > h4,
    .kierunek-preview > p {
        margin: 10px 0;
    }
    #scrollimg {
        width: 100%;
         max-width: calc(100% - 84px) !important;
        height: 100%;
        aspect-ratio: 16 / 9;
        margin: 0;
        object-fit: cover;
        border-radius: 12px;
        margin: 0 5px;
    }
    .kierunek-preview > p {
        font-size: 10px !important;
    }
    .kierunek-preview > h4 {
      font-size: 12px;
    }
}

@media only screen and (max-width: 1025px) and (min-width: 501px) {
    #scrollimg {
        width: 100%;
         max-width: calc(100% - 84px) !important;
        height: 100%;
        aspect-ratio: 16 / 9;
        margin: 0;
        object-fit: cover;
        border-radius: 12px;
        margin: 0 5px;
    }
}

#mobile-nav {
        display: none;
}

.mobile-nav-link {
    display: none;
}

.article {
  padding: 0 10px 0 32px;
  width: 100%;
  max-width: 95%;
}

#nav {
  display: flex;
  flex-direction: row;
  background-color: var(--blue);
  color: var(--white-text);
  padding: 20px;
  font-size: 25px;
  font-weight: bold;
  box-shadow: -1px 7px 21px 0px #00000028;
  position: sticky;
  top: 0;
  z-index: 90;
}

#nav1 {
  display: flex;
  gap: 25px;
  align-items: center;
}

#nav2 {
  display: flex;
  gap: 25px;
  flex-direction: row-reverse;
  flex-grow: 1;
  align-items: center;
}

.nav-link {
  padding: 2px 10px;
  color: var(--white-text);
  text-decoration: none;
  transition: all 0.2s;
}

.nav-link:hover {
  cursor: pointer;
  background-color: #ffffff33;
  border-radius: 5px;
}

* {
  font-family: "Google Sans", sans-serif;
}
body {
  margin: 0;
}

#site-mode-button {
  width: 30px;
  height: 30px;
  background-image: url(assets/moony.svg);
  background-color: #00000000;
  border: 0;
  background-size: cover;
}

#menu-button {
  width: 30px;
  height: 30px;
  background-image: url(assets/menu.svg);
  background-color: #00000000;
  border: 0;
  background-size: cover;
}

#site-mode-button:active {
  width: 30px;
  height: 30px;
  background-image: url(assets/moony.png);
  background-color: #ffffff42;
  border: 0;
  background-size: cover;
}

#galeria {
  width: 100%;
  height: 400px;
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

#galeria::before {
  content: "";
  position: absolute;
  background-image: url(assets/placeholder.jpg);
  background-position: 0 -200px;
  background-size: cover;
  opacity: 0.3;
  z-index: -1;
  width: 100%;
  height: 100%;
}

.buttondef {
  width: auto;
  height: 40px;
  padding: 2px 20px;
  font-size: 18px;
  border-radius: 10px;
}

.buttondefsmall {
  width: auto;
  height: 30px;
  padding: 2px 10px;
  font-size: 14px;
  border-radius: 10px;
}

.borderb {
  border: 2px var(--blue) solid;
  color: var(--blue-text);
  background-color: var(--blue-ghost-200);
  transition: all 0.2s;
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
}

.borderb:hover {
  border: 2px var(--blue) solid;
  color: var(--white-text);
  background-color: var(--blue);
  transition: all 0.2s;
}

.shadowedtext {
  text-shadow: 2px 2px 4px #000000;
}

.gallerytext {
  color: var(--white-text);
  text-align: center;
}

.button {
  cursor: pointer;
}

.scrollb {
  height: 80px;
  border-radius: 50px;
  width: 100%;
  max-width: 40px;
  font-size: 26px !important;
}

#scrollimg {
    width: 100%;
     max-width: calc(100% - 84px) !important;
    height: 100%;
    aspect-ratio: 16/9;
    margin: 0;
    object-fit: cover;
    border-radius: 12px;
    margin: 0 5px;
}

#scrollable-gallery {
  height: 300px;
  white-space: unset;
  display: flex;
  align-items: center;
  padding: 0 10px;
}

#div2 {
  display: flex;
  flex-direction: row;
}

#div2 > .text {
  max-width: 600px;
  word-wrap: break-word;
}

.logo-nav {
  width: auto;
  height: 50px;
  padding: 2px 10px;
}

.gallerytext {
  margin: 0 0 10px 0 !important;
}


#about, #registration, #divine {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 75px;
  flex-wrap: wrap;
}

.article > ul > li > h3,
.article > ul > li > p {
  margin: 10px 0;
}

.kierunek-preview {
  max-width: 200px;
  width: 100%;
  height: 390px;
  border: 2px var(--blue) solid;
  border-radius: 12px;
  padding: 10px;
  background-color: var(--blue-ghost-200);
  transition: all 0.2s;
  color: var(--article-text)
}

::marker {
  color: var(--article-text)
}

.kierunek-preview > img {
  max-width: 200px;
  width: 100%;
  height: 200px;
  border-radius: 12px;
  object-fit: cover;
}

.kierunek-preview > h4,
.kierunek-preview > p {
  margin: 10px 0;
}

.kierunek-preview > p {
  font-size: 14px;
}

.kierunki-preview {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: stretch;
  flex-wrap: wrap;
}

.kierunek-preview:hover {
  transform: scale(1.2);
  transition: all 0.2s;
  color: var(--white-text) !important;
  background-color: var(--blue);
}

.kierunek-preview:hover h4, .kierunek-preview:hover p {
  color: var(--white-text) !important;
}

#kierunki-article {
  width: 95%;
}

footer {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--blue);
  width: 100%;
  margin: 10px 0 0 0;
  padding: 10px 0;
  flex-direction: column;
}

footer > a , footer > p > a{
    color: var(--white-text) !important;
    font-size: 14px !important;
}

#info > a {
  text-align: center;
}

footer > p {
    color: var(--white-text) !important;
    font-size: 14px !important;
    text-align: center;
}

td {
  border: 2px var(--blue) solid;
  padding: 4px 10px;
}

[data-checked='on'] {
  background-color: var(--blue-ghost-250) !important;
}

tr:nth-child(even) {
  background-color: var(--blue-ghost-200);
}

tr:nth-child(1) {
  background-color: var(--blue-ghost-300);
}

#Harmonogram {
  width: 100%;
}

#Harmonogram > div {
  display: flex;
  flex-direction: row;
  width: 100%;
}

#harmo {
  max-width: 650px;
  width: 100%;
  transition: all 0.2s;
}

.activity-card {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100px;
  max-width: 95%;
  border: 2px var(--blue) solid;
  padding: 5px;
  margin: 15px 0;
  border-radius: 12px;
  transition: 0.2s all;
  color: var(--blue-text);
  text-align: center;
}

.activity-card:hover {
  border: 2px var(--blue) solid;
  color: var(--white-text);
  background-color: var(--blue);
  transition: all 0.2s;
}

#activities {
  flex: 1;
  padding: 0 0 0 30px;
}

select,
input[type="text"],
input[type="email"] {
  margin: 5px 0 0 0;
  border: 2px var(--blue) solid;
  border-radius: 12px;
  background-color: transparent;
  padding: 6px;
  transition: all 0.2s;
}

select:hover,
input[type="text"]:hover,
input[type="email"]:hover {
  background-color: var(--blue-ghost-200);
  transition: all 0.2s;
}

#submit {
  cursor: pointer;
}

#alert-container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  z-index: 99999;
  width: 100%;
  height: 100%;
  background-color: rgba(54, 54, 54, 0.644) !important;
}

#alert-window {
  max-width: 750px;
  width: auto;
  height: auto;
  background-color: var(--background);
  border-radius: 12px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  transition: transform 0.2s;
}

#window-name, #window-content, #window-container, #window-controls {
  padding: 0 100px;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: row;
  text-align: center;
}

#window-name {
  background-color: var(--blue);
  border-radius: 12px 12px 0 0;
}

#window-name > h3 {
  color: white;
}

#window-controls {
  margin: 5px;
}

select:active,
input[type="text"]:focus,
input[type="email"]:focus {
  background-color: rgba(152, 176, 199, 0.404);
  outline: 0;
  transition: all 0.2s;
}

input {
  font-size: 16px;
}

option {
  font-family: "Google Sans", sans-serif;
}

iframe {
  font-family: "Google Sans", sans-serif !important;
}

#nowL {
  transition: all 0.2s;
}

form {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  align-items: center;
  width: 100%;
  max-width: 700px;
}

.vertical {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 500px;
}

label {
  font-weight: bolder;
}

form > div {
  margin: 0 0 9px 0;
}

#map-box {
  border-radius: 12px;
  border: 0;
  transition: all 0.2s;
}

#map-box:hover {
  transform: scale(1.05);
  z-index: 80;
  transition: all 0.2s;
}

#contact {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  flex-wrap: wrap;
}

#Kontakt {
  width: 95%;
}

#divine_container {
  width: 100%;
  display: flex;
  justify-content: center;
}


p {
  font-size: 18px;
}

.desc-about,
#register {
  flex: 1;
}

#register {
  max-width: 40%;
}

.larger {
  font-size: 36px;
}

#registered {
  color: var(--white-text);
  background-color: var(--blue);
  padding: 4px;
  border-radius: 4px;
}

a {
  color: var(--article-text);
  font-size: 24px;
}

#info {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

#fullscreen-image-container {
    position: fixed;
    overflow: hidden;
    display: none;
    top: 0; /* 90 px */
    left: 0; /* 0 */
    width: 100%;
    height: 100%;
    background-color: rgba(54, 54, 54, 0.644) !important;
    z-index: 1000;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    align-items: center;
    transition: all 0.5s;
}

.hidden {
  display: none;
}

#fullscreen-image {
    position: relative;
    width: 90%;
    height: auto;
    max-width: 1000px;
    cursor: grab;
    border-radius: 10px;
    user-select: none;
    transition: transform 0.2s;
}

#gallery {
  display: flexbox;
  flex-direction: column;
}

#photos {
  margin: 10px;
  display: flex;
  justify-content: center;
  gap: 6px;
  flex-wrap: wrap;
}

#photos > img {
  width: 50px;
  object-fit: cover;
  height: 50px;
  border-radius: 10px;
  transition: filter 0.2s;
  cursor: pointer;
}

#photos > img:hover {
  width: 50px;
  object-fit: cover;
  height: 50px;
  border-radius: 10px;
  filter: brightness(0.6);
  transition: all 0.2s;
  outline: 2px var(--blue) solid;
  outline-offset: 2px;
  transition: filter 0.2s;
}

#photos > .photo-checked {
  transform: translateX(1.03)
}

#close {
  width: 30px;
  height: 30px;
  background-image: url(assets/close.png);
  background-color: #00000000;
  border: 0;
  background-size: cover;
  cursor: pointer;
  margin-left: 5px;
  transition: all 0.2s;
  border-radius: 100px;
  padding: 20px;
  background-size: 30px;
  background-repeat: no-repeat;
  background-position: 5px;
}

#close:hover, #zoomin:hover, #zoomout:hover, #reset:hover {
  background-color: #ffffff57 !important;
  transition: all 0.2s;
}

#zoomin {
  width: 30px;
  height: 30px;
  background-image: url(assets/zoom_in.svg);
  background-color: #00000000;
  border: 0;
  background-size: cover;
  cursor: pointer;
  margin-left: 5px;
  transition: all 0.2s;
  border-radius: 100px;
  padding: 20px;
  background-size: 30px;
  background-repeat: no-repeat;
  background-position: 5px;
}

#zoomout {
  width: 30px;
  height: 30px;
  background-image: url(assets/zoom_out.svg);
  background-color: #00000000;
  border: 0;
  background-size: cover;
  cursor: pointer;
  margin-left: 5px;
  transition: all 0.2s;
  border-radius: 100px;
  padding: 20px;
  background-size: 30px;
  background-repeat: no-repeat;
  background-position: 5px;
}

#reset {
  width: 30px;
  height: 30px;
  background-image: url(assets/reset.svg);
  background-color: #00000000;
  border: 0;
  background-size: cover;
  cursor: pointer;
  margin-left: 5px;
  transition: all 0.2s;
  border-radius: 100px;
  padding: 20px;
  background-size: 30px;
  background-repeat: no-repeat;
  background-position: 5px;
}

#p1 {
  margin: 0 0 10px 0;
}

#toolbar {
  width: 80%;
  max-width: 1000px;
  display: flex;
  flex-direction: row;
  justify-content: right;
  background-color: #ece5e51a;
  border-radius: 100px;
  padding: 4px;
  backdrop-filter: blur(10px);
  z-index: 9999;
  outline: 1px rgba(255, 255, 255, 0.5) solid;

}

h1, h2, h3, h4, p, td, select, label, input[type="text"], input[type="email"] {
  color: var(--article-text);
}

.checkbox-text {
  font-size: 16px;
}

#movetopbutton {
  width: 40px;
  height: 40px;
  background-image: url(assets/movetop.svg);
  background-color: var(--blue);
  background-size: cover;
  padding: 20px;
  border-radius: 100px;
  margin: 10px;
  transition: all 0.2s;
  pointer-events: auto;
  cursor:pointer;
  display: none;
}

#movetopbutton:hover {
  filter: brightness(0.6);
  transition: all 0.2s;
}

#movetop {
  position: fixed;
  display: flex;
  justify-content: flex-end;
  align-items: end;
  width: 100%;
  height: 100%;
  z-index: 999;
  pointer-events: none;
}

